> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trajectory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Allocate



## OpenAPI

````yaml /openapi.json post /api/v1/benchmark-ingestion/sessions/{operation_id}/uploads
openapi: 3.1.0
info:
  title: Trajectory API
  version: 0.1.0
servers:
  - url: https://api.trajectory.ai
security: []
paths:
  /api/v1/benchmark-ingestion/sessions/{operation_id}/uploads:
    post:
      tags:
        - benchmark-ingestion
      summary: Allocate
      operationId: allocateBenchmarkSubmissionUploads
      parameters:
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BenchmarkIngestionAllocateObjectsRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenchmarkIngestionUploadUrls'
        default:
          $ref: '#/components/responses/ApiErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BenchmarkIngestionAllocateObjectsRequest:
      properties:
        files:
          items:
            $ref: '#/components/schemas/BenchmarkIngestionUploadObject'
          type: array
          maxItems: 64
          minItems: 1
          title: Files
      additionalProperties: false
      type: object
      required:
        - files
      title: BenchmarkIngestionAllocateObjectsRequest
    BenchmarkIngestionUploadUrls:
      properties:
        urls:
          items:
            $ref: '#/components/schemas/BenchmarkUploadUrl'
          type: array
          title: Urls
      type: object
      required:
        - urls
      title: BenchmarkIngestionUploadUrls
    BenchmarkIngestionUploadObject:
      properties:
        path:
          type: string
          title: Path
        content_type:
          type: string
          title: Content Type
        size_bytes:
          type: integer
          title: Size Bytes
        md5:
          type: string
          maxLength: 24
          pattern: ^[A-Za-z0-9+/]{22}==$
          title: Md5
        kind:
          type: string
          enum:
            - artifact
            - part
          title: Kind
          default: artifact
      additionalProperties: false
      type: object
      required:
        - path
        - content_type
        - size_bytes
        - md5
      title: BenchmarkIngestionUploadObject
    BenchmarkUploadUrl:
      properties:
        path:
          type: string
          title: Path
        url:
          type: string
          title: Url
        headers:
          additionalProperties:
            type: string
          type: object
          title: Headers
      type: object
      required:
        - path
        - url
        - headers
      title: BenchmarkUploadUrl
    ApiErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ApiErrorBody'
      required:
        - error
      title: ApiErrorEnvelope
      type: object
    ApiErrorBody:
      properties:
        type:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Param
        doc_url:
          type: string
          title: Doc Url
        context:
          additionalProperties: true
          title: Context
          type: object
      required:
        - type
        - code
        - message
        - doc_url
        - context
      title: ApiErrorBody
      type: object
    ErrorType:
      enum:
        - invalid_request_error
        - authentication_error
        - permission_error
        - conflict_error
        - rate_limit_error
        - dependency_error
        - api_error
      title: ErrorType
      type: string
  responses:
    ApiErrorResponse:
      description: >-
        Common API error. Possible codes: `authentication_required`,
        `permission_denied`, `validation_error`, `rate_limited`,
        `internal_error`, `service_unavailable`.
      headers:
        X-Request-ID:
          $ref: '#/components/headers/RequestId'
        Trajectory-Should-Retry:
          $ref: '#/components/headers/TrajectoryShouldRetry'
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
  headers:
    RequestId:
      schema:
        type: string
    TrajectoryShouldRetry:
      schema:
        type: boolean
    RetryAfter:
      schema:
        type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Organization API key

````